package com.ruoyi.demo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.demo.entity.BrandStatistics;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BrandStatisticsDao extends BaseMapper<BrandStatistics> {
    BrandStatistics searchByBrandId(String brandId);
    List<BrandStatistics> searchList();
    void insertAll(@Param("brandStatistics") List<BrandStatistics> brandStatistics);
    List<String> searchStated();
    BrandStatistics searchByStatistics(@Param("brandId") String brandId);
}
